import { ChangeDetectorRef, OnInit } from "@angular/core";
export declare class DeliveryPlanningTileStatusComponent implements OnInit {
    private _changeDetector;
    volumePercent: number;
    timePercent: number;
    private _maxVolume;
    private _timeTotal;
    private _currentVolume;
    private _currentTimeTotal;
    get maxVolume(): number;
    set maxVolume(value: number);
    get timeTotal(): number;
    set timeTotal(value: number);
    get currentVolume(): number;
    set currentVolume(value: number);
    get currentTimeTotal(): number;
    set currentTimeTotal(value: number);
    showClass(): boolean;
    constructor(_changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    calculateVolumePercent(): void;
    calculateTimePercent(): void;
    calculatePercentages(): void;
}
